Bug 1118952 - Thrown nameerror:global name 'Feature' is not defined when using "ovirt-node-features dumpxml"
Summary: Thrown nameerror:global name 'Feature' is not defined when using "ovirt-node-...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks: 1151906
TreeView+ depends on / blocked
 
Reported: 2014-07-12 08:22 UTC by haiyang,dong
Modified: 2016-02-10 19:39 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1151906 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:38:03 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29976 master ABANDONED import missed "Feature" and "Owner" model Never

Description haiyang,dong 2014-07-12 08:22:40 UTC
Description of problem:
when using "ovirt-node-features dumpxml" to dump all know ovirt-node features to stdout
failed with follow error info:
[root@dhcp-66-73-241 admin]# ovirt-node-features dumpxml
Traceback (most recent call last):
  File "/usr/lib64/python2.6/runpy.py", line 122, in _run_module_as_main
  File "/usr/lib64/python2.6/runpy.py", line 34, in _run_code
  File "/usr/lib/python2.6/site-packages/ovirt/node/tools/features.py", line 94, in <module>
  File "/usr/lib/python2.6/site-packages/ovirt/node/setup/hostedengine/__init__.py", line 34, in createPluginFeatures
    application.register(Feature(owner=Owner(name=__package__),
NameError: global name 'Feature' is not defined

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.5.0.ovirt35.20140707.el6.iso

How reproducible:
100%


Steps to Reproduce:


Actual results:


Expected results:


Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:38:03 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.